﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class GameStateTracker : MonoBehaviour {


    private int numberOfPlayers;
    /// <summary>
    /// Numbers of Player ranked 4th to winner
    /// </summary>
    private int fourthPlayer;
    private int thirdPlayer;
    private int secondPlayer;
    private int winnerPlayer;

    private List<string> ranking;


    void Awake()
    {
        ranking = new List<string>();
    }

	// Use this for initialization
	void Start () {
    	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    public void setNumberOfPlayers(int players)
    {
        numberOfPlayers = players;
    }


    public void playerDied(string name)
    {
        if (!ranking.Contains(name))
        {
            ranking.Add(name);
        }
        if (ranking.Count >= numberOfPlayers - 1)
        {
            gameOver();
        }
    }

    public void gameOver()
    {
        Time.timeScale = 0.0f;
        GameObject[] players = GameObject.FindGameObjectsWithTag("Player");
        string loser = "";
        foreach (GameObject p in players){
            if (p.GetComponent<PlayerHealth>().getCurrentHealth() > 0)
            {
                loser = p.name;
                break;
            }
        }
        if (string.IsNullOrEmpty(loser))
        {
            Debug.LogError("No loser found");
            loser = "None";
        }
        else
        {
            ranking.Add(loser);
        }
        Debug.Log("Ranking: ");
        for (int i = 0; i < ranking.Count; i++)
        {
            Debug.Log((i+1) + "th: " + ranking[i]);
        }
        //Ranking enthält an erster stelle den gewinner (der als erster gestorben ist) und dann absteigend die danach als String.
    }



}
